Summary:       Round Robin Database Tool to store and display time-series data
Name:          rrdtool
Version:       1.8.0
Release:       6%{?dist}
License:       GPLv2+ with exceptions
URL:           https://oss.oetiker.ch/rrdtool/
Source0:       https://oss.oetiker.ch/%{name}/pub/%{name}-%{version}.tar.gz
BuildRequires: gcc-c++, automake, autoconf, libtool
BuildRequires: perl-ExtUtils-MakeMaker perl-generators perl-Pod-Html perl-devel
BuildRequires: freetype-devel, libpng-devel, zlib-devel, intltool >= 0.35.0
BuildRequires: cairo-devel >= 1.4.6, pango-devel >= 1.17
BuildRequires: groff, gettext, libxml2-devel, systemd, bc
Requires:      dejavu-sans-mono-fonts
%{?systemd_requires}

%description
RRDtool is the OpenSource industry standard, high performance data logging
and graphing system for time series data. 

%package       perl
Summary:       Perl RRDtool bindings
Requires:      %{name} = %{version}-%{release}
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:      perl-%{name} = %{version}-%{release}

%description   perl
This package provides Perl RRDtool bindings.

%package -n    python3-rrdtool
Summary:       Python RRDtool bindings
BuildRequires: python3-devel, python3-setuptools
Requires:      %{__python3}
Requires:      %{name} = %{version}-%{release}

%description -n python3-rrdtool
This package provides Python RRDtool bindings.

%package       devel
Summary:       RRDtool libraries and header files
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
This package provides header files and libraries for developers of
apps using RRDtools.

%prep
%setup -q
sed -i 's|get_python_lib(0,0,prefix|get_python_lib(1,0,prefix|g' configure
sed -i 's|/lib\b|/%{_lib}|g' configure Makefile.in

%build
./bootstrap
%configure \
    --with-perl-options='INSTALLDIRS="vendor"' \
    --disable-rpath \
    --with-pic \
    --disable-static \
    --disable-tcl \
    --enable-python \
    --disable-ruby \
    --disable-libdbi

sed -i 's|-Wl,--rpath -Wl,\$rp||g' bindings/perl-shared/Makefile.PL

pushd bindings/perl-piped/
perl Makefile.PL INSTALLDIRS=vendor
sed -i 's|/lib/perl|/%{_lib}/perl|g' Makefile
popd

%make_build

pushd bindings/python
%py3_build
popd

%install
%make_install PYTHON="%{__python3}"

mv %{buildroot}%{perl_vendorlib}/RRDp.pm %{buildroot}%{perl_vendorarch}/

pushd bindings/python
%py3_install
popd

rm -rf %{buildroot}%{_docdir}/%{name}-*
rm -rf %{buildroot}%{perl_vendorlib}/leaktest.pl
rm -rf %{buildroot}%{perl_vendorarch}/ntmake.pl
rm -rf %{buildroot}%{perl_vendorarch}/auto/*/{.packlist,*.bs}
rm -rf %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{_datadir}/%{name}/examples
rm -rf %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%check
make %{?_smp_mflags} check

%post
%systemd_post rrdcached.service rrdcached.socket

%preun
%systemd_post rrdcached.service rrdcached.socket

%postun
%systemd_post rrdcached.service rrdcached.socket

%files -f %{name}.lang
%license LICENSE
%doc CONTRIBUTORS COPYRIGHT TODO NEWS CHANGES THREADS
%{_bindir}/*
%{_libdir}/*.so.*
%{_unitdir}/rrdcached.service
%{_unitdir}/rrdcached.socket
%{_datadir}/%{name}
%{_mandir}/man1/*

%files perl
%{perl_vendorarch}/*.pm
%attr(0755,root,root) %{perl_vendorarch}/auto/RRDs/
%{_mandir}/man3/*

%files -n python3-rrdtool
%doc bindings/python/COPYING bindings/python/README.md
%{python3_sitearch}/rrdtool*.so
%{python3_sitearch}/rrdtool-*.egg-info

%files devel
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 7 2022 cunshunxia <cunshunxia@tencent.com> - 1.8.0-1
- initial build
